unit USettings;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.ExtCtrls;

type
  TForm3 = class(TForm)
    GroupBox1: TGroupBox;
    LabeledEdit1: TLabeledEdit;
    LabeledEdit2: TLabeledEdit;
    LabeledEdit3: TLabeledEdit;
    LabeledEdit4: TLabeledEdit;
    GroupBox2: TGroupBox;
    CheckBox1: TCheckBox;
    GroupBox3: TGroupBox;
    Button2: TButton;
    Button1: TButton;
    procedure ReadParams;
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

{$R *.dfm}

uses UGenePrincess;

procedure TForm3.ReadParams;
begin
  LabeledEdit1.Text:=inttostr(workdist);
  LabeledEdit2.Text:=inttostr(maxmiss);
  LabeledEdit3.Text:=inttostr(maxeffs);
  LabeledEdit4.Text:=inttostr(maxpoly);
  CheckBox1.Checked:=musicon;
end;

procedure TForm3.Button1Click(Sender: TObject);
begin
  //Memo2.Li
  workdist:=strtoint(LabeledEdit1.Text);
  maxmiss:=strtoint(LabeledEdit2.Text);
  maxeffs:=strtoint(LabeledEdit3.Text);
  maxpoly:=strtoint(LabeledEdit4.Text);
  musicon:=CheckBox1.Checked;
  Form1.SaveConfig;
end;

procedure TForm3.Button2Click(Sender: TObject);
begin
  workdist:=10;
  maxmiss:=1000;
  maxpoly:=10;
  maxeffs:=1000;
  ReadParams;
end;

procedure TForm3.FormShow(Sender: TObject);
begin
  ReadParams;
end;

end.
